<?php

namespace App\Components;

use Daylight\Core\Modules\PageBuilder\Entities\Component;
use Daylight\Core\Modules\PageBuilder\Entities\Field;
use Illuminate\Support\Collection;

class ImageBanner extends Component
{
    public string $type = 'image-banner';

    public function name(): string
    {
        return __('Image banner');
    }

    public function fields(): Collection
    {
        return collect([
            Field::media('image', __('Image')),
        ]);
    }
}
